package com.xhpc.order.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 时段订单统计
 * @author yuyang
 * @date 2021/8/31 14:43
 * @Version 1.0
 */
public class XhpcStatisticsTimeInterval extends BaseEntity {

    /**
     * 时段订单统计id
     */
    private Long statisticsTimeIntervalId;

    /**
     * 24个时段每个时段 每个时段一小时
     */
    private Integer status;
    /**
     * 电量
     */
    private BigDecimal chargingDegree;
    /**
     * 充电时长（小时）
     */
    private BigDecimal chargingTime;
    /**
     * 充电次数
     */
    private Integer chargingNumber;
    /**
     * 电费
     */
    private BigDecimal powerPrice;
    /**
     * 服务费
     */
    private BigDecimal servicePrice;
    /**
     * 订单总价
     */
    private BigDecimal totalPrice;
    /**
     * 电站活动抵扣--抵扣的总金额
     */
    private BigDecimal promotionDiscount;
    /**
     * 实际价格-用户支付的钱
     */
    private BigDecimal actPrice;
    /**
     * 实收电费-运营商电费
     */
    private BigDecimal actPowerPrice;
    /**
     * 实收服务费-运营商服务费
     */
    private BigDecimal actServicePrice;
    private BigDecimal actTotalPrice;
    /**
     * 流量方总金额抽成
     */
    private BigDecimal internetCommission;
    /**
     * 流量方服务费抽成
     */
    private BigDecimal internetSvcCommission;
    /**
     * 流量方电量抽成
     */
    private BigDecimal internetDegreeCommission;
    /**
     * 平台总金额抽成
     */
    private BigDecimal platformCommission;
    /**
     * 平台服务费抽成
     */
    private BigDecimal platformSvcCommisssion;
    /**
     * 运维总金额抽成
     */
    private BigDecimal operationCommission;
    /**
     * 运维服务费抽成
     */
    private BigDecimal operationSvcCommission;
    /**
     * 流量方id
     */
    private Long internetUserId;

    private Integer clearingType;

    private BigDecimal clearingPrice;
    /**
     * 运营商id
     */
    private Long operatorId;

    /**
     * 电站id
     */
    private Long chargingStationId;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private Integer delFlag;

    /**
     * 终端id
     */
    private Long terminalId;

    /**
     * 历史订单id
     */
    private Long historyOrderId;

    /**
     * EVCS开始时间(格式:yyyy-MM-dd HH:mm:ss)
     */
    private String startTimeEvcs;

    /**
     * EVCS结束时间(格式:yyyy-MM-dd HH:mm:ss)
     */
    private String endTimeEvcs;

    /**
     * EVCS时段电价(单价)
     */
    private BigDecimal elecPriceEvcs;

    /**
     * EVCS时段服务费价格(单价)
     */
    private BigDecimal servicePriceEvcs;

    /**
     * 活动总电费
     */
    private BigDecimal activityPowerPriceTotal;

    /**
     * 活动总服务费
     */
    private BigDecimal activityServicePriceTotal;

    /**
     * 活动总金额
     */
    private BigDecimal activityTotalPrice;

    private String mark;

    private Long motorcadeId;

    public Long getStatisticsTimeIntervalId() {

        return statisticsTimeIntervalId;
    }

    public void setStatisticsTimeIntervalId(Long statisticsTimeIntervalId) {

        this.statisticsTimeIntervalId = statisticsTimeIntervalId;
    }

    public Integer getStatus() {

        return status;
    }

    public void setStatus(Integer status) {

        this.status = status;
    }

    public BigDecimal getChargingDegree() {

        return chargingDegree;
    }

    public void setChargingDegree(BigDecimal chargingDegree) {

        this.chargingDegree = chargingDegree;
    }

    public BigDecimal getChargingTime() {

        return chargingTime;
    }

    public void setChargingTime(BigDecimal chargingTime) {

        this.chargingTime = chargingTime;
    }

    public Integer getChargingNumber() {

        return chargingNumber;
    }

    public void setChargingNumber(Integer chargingNumber) {

        this.chargingNumber = chargingNumber;
    }

    public BigDecimal getPowerPrice() {

        return powerPrice;
    }

    public void setPowerPrice(BigDecimal powerPrice) {

        this.powerPrice = powerPrice;
    }

    public BigDecimal getServicePrice() {

        return servicePrice;
    }

    public void setServicePrice(BigDecimal servicePrice) {

        this.servicePrice = servicePrice;
    }

    public BigDecimal getTotalPrice() {

        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {

        this.totalPrice = totalPrice;
    }

    public BigDecimal getPromotionDiscount() {

        return promotionDiscount;
    }

    public void setPromotionDiscount(BigDecimal promotionDiscount) {

        this.promotionDiscount = promotionDiscount;
    }

    public BigDecimal getActPrice() {

        return actPrice;
    }

    public void setActPrice(BigDecimal actPrice) {

        this.actPrice = actPrice;
    }

    public BigDecimal getActPowerPrice() {

        return actPowerPrice;
    }

    public void setActPowerPrice(BigDecimal actPowerPrice) {

        this.actPowerPrice = actPowerPrice;
    }

    public BigDecimal getActServicePrice() {

        return actServicePrice;
    }

    public void setActServicePrice(BigDecimal actServicePrice) {

        this.actServicePrice = actServicePrice;
    }

    public BigDecimal getInternetCommission() {

        return internetCommission;
    }

    public void setInternetCommission(BigDecimal internetCommission) {

        this.internetCommission = internetCommission;
    }

    public BigDecimal getInternetSvcCommission() {

        return internetSvcCommission;
    }

    public void setInternetSvcCommission(BigDecimal internetSvcCommission) {

        this.internetSvcCommission = internetSvcCommission;
    }

    public BigDecimal getPlatformCommission() {

        return platformCommission;
    }

    public void setPlatformCommission(BigDecimal platformCommission) {

        this.platformCommission = platformCommission;
    }

    public BigDecimal getPlatformSvcCommisssion() {

        return platformSvcCommisssion;
    }

    public void setPlatformSvcCommisssion(BigDecimal platformSvcCommisssion) {

        this.platformSvcCommisssion = platformSvcCommisssion;
    }

    public BigDecimal getOperationCommission() {

        return operationCommission;
    }

    public void setOperationCommission(BigDecimal operationCommission) {

        this.operationCommission = operationCommission;
    }

    public BigDecimal getOperationSvcCommission() {

        return operationSvcCommission;
    }

    public void setOperationSvcCommission(BigDecimal operationSvcCommission) {

        this.operationSvcCommission = operationSvcCommission;
    }

    public Long getInternetUserId() {

        return internetUserId;
    }

    public void setInternetUserId(Long internetUserId) {

        this.internetUserId = internetUserId;
    }

    public Long getOperatorId() {

        return operatorId;
    }

    public void setOperatorId(Long operatorId) {

        this.operatorId = operatorId;
    }

    public Integer getDelFlag() {

        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {

        this.delFlag = delFlag;
    }

    public Long getChargingStationId() {

        return chargingStationId;
    }

    public void setChargingStationId(Long chargingStationId) {

        this.chargingStationId = chargingStationId;
    }

    public Long getTerminalId() {

        return terminalId;
    }

    public void setTerminalId(Long terminalId) {

        this.terminalId = terminalId;
    }

    public Long getHistoryOrderId() {

        return historyOrderId;
    }

    public void setHistoryOrderId(Long historyOrderId) {

        this.historyOrderId = historyOrderId;
    }

    public String getStartTimeEvcs() {

        return startTimeEvcs;
    }

    public void setStartTimeEvcs(String startTimeEvcs) {

        this.startTimeEvcs = startTimeEvcs;
    }

    public String getEndTimeEvcs() {

        return endTimeEvcs;
    }

    public void setEndTimeEvcs(String endTimeEvcs) {

        this.endTimeEvcs = endTimeEvcs;
    }

    public BigDecimal getElecPriceEvcs() {

        return elecPriceEvcs;
    }

    public void setElecPriceEvcs(BigDecimal elecPriceEvcs) {

        this.elecPriceEvcs = elecPriceEvcs;
    }

    public BigDecimal getServicePriceEvcs() {

        return servicePriceEvcs;
    }

    public void setServicePriceEvcs(BigDecimal servicePriceEvcs) {

        this.servicePriceEvcs = servicePriceEvcs;
    }

    public BigDecimal getInternetDegreeCommission() {
        return internetDegreeCommission;
    }

    public void setInternetDegreeCommission(BigDecimal internetDegreeCommission) {
        this.internetDegreeCommission = internetDegreeCommission;
    }

    public BigDecimal getActivityPowerPriceTotal() {
        return activityPowerPriceTotal;
    }

    public void setActivityPowerPriceTotal(BigDecimal activityPowerPriceTotal) {
        this.activityPowerPriceTotal = activityPowerPriceTotal;
    }

    public BigDecimal getActivityServicePriceTotal() {
        return activityServicePriceTotal;
    }

    public void setActivityServicePriceTotal(BigDecimal activityServicePriceTotal) {
        this.activityServicePriceTotal = activityServicePriceTotal;
    }

    public BigDecimal getActivityTotalPrice() {
        return activityTotalPrice;
    }

    public void setActivityTotalPrice(BigDecimal activityTotalPrice) {
        this.activityTotalPrice = activityTotalPrice;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public Long getMotorcadeId() {
        return motorcadeId;
    }

    public void setMotorcadeId(Long motorcadeId) {
        this.motorcadeId = motorcadeId;
    }

    public Integer getClearingType() {
        return clearingType;
    }

    public void setClearingType(Integer clearingType) {
        this.clearingType = clearingType;
    }

    public BigDecimal getClearingPrice() {
        return clearingPrice;
    }

    public void setClearingPrice(BigDecimal clearingPrice) {
        this.clearingPrice = clearingPrice;
    }

    public BigDecimal getActTotalPrice() {
        return actTotalPrice;
    }

    public void setActTotalPrice(BigDecimal actTotalPrice) {
        this.actTotalPrice = actTotalPrice;
    }
}
